#!/bin/bash
# Licensed Materials - Property of IBM
# 5724-I68
#
# (C) Copyright IBM Corp. 2000, 2006
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


. ${TOP}/bin/get_params.sh

printUsage()
{
	${ECHO} "USAGE: "$0" --code=<Company code> --end_date=<YYYY-MM-DD.HH24:MI:SS> [--ctg=<Catalog ID>] [start_date=<YYYY-MM-DD.HH24:MI:SS>]"
 	${ECHO} "EXAMPLE: "$0" --code=ibm --end_date=2009-01-31.18:00:00 --ctg=2413" 	
 	exit 0
}

if [ $# -lt 2 ]
then
	printUsage
fi

$JAVA_RT com.ibm.ccd.common.db.LocalizedShellScriptRunner "${SHELL} delete_old_versions_localized.sh $*" "$TOP/src/maintenance"
